package org.jeecg.modules.plan.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.jeecg.modules.plan.entity.Plan;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.plan.modal.PlanBo;
import org.jeecg.modules.plan.modal.DevicePlanVo;

import java.util.List;

/**
 * @Description: 检修计划
 * @Author: jeecg-boot
 * @Date:   2025-01-16
 * @Version: V1.0
 */
public interface IPlanService extends IService<Plan> {

    List<Plan> queryList(LambdaQueryWrapper<Plan> queryWrapper);
    List<DevicePlanVo> queryRegularPlan();
    Boolean generatePlan(PlanBo plan) throws Exception;
    void movePlan(Plan plan);
}
